Bug 186222 - Anaconda can't install system on disc without active partition
Anaconda can't install system on disc without active partition
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 06:18 EST by Piotr Wojciechowski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-27 14:41:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piotr Wojciechowski 2006-03-22 06:18:59 EST
Description of problem:

During installation of fresh system, if repartitioning is done manually from
rescue mode (ie. if we want jfs or reiserfs on volumes) and we forgot to set
active partition anaconda is not installing most of packages. It seems
everything is installing perfectly (but much faster than normally), after last
package is installed anaconda is showing windows "processing post install" and
then crashing. In debug output we can see that most pre- or postscripts are
returned error, especially in system packages. Setting partition to active
solves problem.


How reproducible:

For me always

Steps to Reproduce:
1. Set fres partition set
2. Don't set active partition
3. Try to install
  
Actual results:

Installation failed

Expected results:

Installed system
Comment 1 Chris Lumens 2007-02-27 14:41:11 EST
Please try again with F7 test 2 and let us know if this is still broken for you.
 If you want reiserfs or jfs partitions, you don't need to boot into rescue mode
and partition manually.  Simply add reiserfs or jfs to your command line
arguments when you boot anaconda.

Note You need to log in before you can comment on or make changes to this bug.